unit MDGrid;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, DB, DBTables,
  IWDBAdvWebGrid, IWWebGrid, IWDBStdCtrls, Controls, IWBaseControl,
  IWControl, IWCompLabel, LeftFrame, Forms, TopFrame, IWVCLBaseControl,
  IWBaseHTMLControl, ADODB;

type
  TformMDGrid = class(TIWAppForm)
    IWLabel1: TIWLabel;
    IWDBNavigator1: TIWDBNavigator;
    TIWDBAdvWebGrid1: TTIWDBAdvWebGrid;
    TIWDBAdvDetailWebGrid1: TTIWDBAdvDetailWebGrid;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    ADOTable2: TADOTable;
    ADOTable1CustNo: TFloatField;
    ADOTable1Company: TWideStringField;
    ADOTable1Addr1: TWideStringField;
    ADOTable1Addr2: TWideStringField;
    ADOTable1City: TWideStringField;
    ADOTable1State: TWideStringField;
    ADOTable1Zip: TWideStringField;
    ADOTable1Country: TWideStringField;
    ADOTable1Phone: TWideStringField;
    ADOTable1FAX: TWideStringField;
    ADOTable1TaxRate: TFloatField;
    ADOTable1Contact: TWideStringField;
    ADOTable1LastInvoiceDate: TDateTimeField;
    ADOTable2OrderNo: TFloatField;
    ADOTable2CustNo: TFloatField;
    ADOTable2SaleDate: TDateTimeField;
    ADOTable2ShipDate: TDateTimeField;
    ADOTable2EmpNo: TIntegerField;
    ADOTable2ShipToContact: TWideStringField;
    ADOTable2ShipToAddr1: TWideStringField;
    ADOTable2ShipToAddr2: TWideStringField;
    ADOTable2ShipToCity: TWideStringField;
    ADOTable2ShipToState: TWideStringField;
    ADOTable2ShipToZip: TWideStringField;
    ADOTable2ShipToCountry: TWideStringField;
    ADOTable2ShipToPhone: TWideStringField;
    ADOTable2ShipVIA: TWideStringField;
    ADOTable2PO: TWideStringField;
    ADOTable2Terms: TWideStringField;
    ADOTable2PaymentMethod: TWideStringField;
    ADOTable2ItemsTotal: TFloatField;
    ADOTable2TaxRate: TFloatField;
    ADOTable2Freight: TFloatField;
    ADOTable2AmountPaid: TFloatField;
    procedure IWAppFormCreate(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  ServerController;


procedure TformMDGrid.IWAppFormCreate(Sender: TObject);
begin

  FrameTopFrame1.Align := alTop;
  FrameLeftFrame1.Align := alLeft;

  ADOConnection1.ConnectionString :=
    'Provider=Microsoft.Jet.OLEDB.4.0;Password="";Persist Security Info=True;Data Source= ' +
    WebApplication.ApplicationPath + 'demos.mdb';

  DataSource1.DataSet.Active := true;
  DataSource2.DataSet.Active := true;
end;

initialization
  TformMDGrid.SetAsMainForm;



end.
